package com.hydraql.thrift.example;

import com.hydraql.common.query.GetRowParam;
import com.hydraql.thrift.HBaseThriftTemplate;
import com.hydraql.thrift.HBaseThriftTemplateFactory;
import java.util.Random;
import java.util.concurrent.ExecutorService;
import java.util.concurrent.Executors;

public class HBaseThriftPoolThreadTest {

   public static void main(String[] args) {
      ExecutorService executorService = Executors.newFixedThreadPool(10);

      for(int i = 0; i < 10; ++i) {
         executorService.execute(new HBaseThriftPoolThreadTest.Work());
      }

   }

   static class Work implements Runnable {

      private final HBaseThriftTemplate thriftTemplate = HBaseThriftTemplateFactory.getInstance("localhost", 9090, 1);


      public void run() {
         Random random = new Random();
         System.out.println(this.thriftTemplate.getRow("LEO_USER", GetRowParam.of("a10001").build()));

         while(true) {
            try {
               int e = random.nextInt(10) + 1;
               System.out.println("Thread-" + Thread.currentThread().getName() + "即将等待：" + e + "分钟");
               Thread.sleep((long)(e * 60) * 1000L);
               System.out.println(this.thriftTemplate.getRow("LEO_USER", GetRowParam.of("a10001").build()));
               System.out.println("Thread-" + Thread.currentThread().getName() + "等待时间：" + e + "分钟");
            } catch (InterruptedException var3) {
               var3.printStackTrace();
            }

            System.out.println("################################################################################################");
         }
      }
   }
}
